/*
 * $Id: Signal_get_direction.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Signal.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Signal::get_direction"
  direction_t Signal::get_direction (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    direction_t _return = _direction;
    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
